sc::P86CFunctional(3)

NAME
sc::P86CFunctional - Implements the Perdew 1986 (P86) correlation functional.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Member Functions
P86CFunctional (const Ref< KeyVal > &)
P86CFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int need_density_gradient ()
void point (const PointInputData &, PointOutputData &)

  Protected Member Functions
void init_constants ()

  Protected Attributes
double a_
double C1_
double C2_
double C3_
double C4_
double C5_
double C6_
double C7_

Detailed Description

Implements the Perdew 1986 (P86) correlation functional. J. P. Perdew, Phys. Rev. B, 33(12), pp. 8822-8824.

J. P. Perdew, Phys. Rev. B. 34(10), pp. 7406.

Member Function Documentation

  void sc::P86CFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.